Skip to main content
`Ctrl`+`K`

# SNESQNRestartType

the restart approached used by `SNESQN`

## Values

- `SNES_QN_RESTART_NONE` - never restart

- `SNES_QN_RESTART_POWELL` - restart based upon descent criteria

- `SNES_QN_RESTART_PERIODIC` - restart after a fixed number of iterations

## Options Database Keys

- -snes_qn_restart_type <powell,periodic,none> - set the restart type

- -snes_qn_m <m> - sets the number of stored updates and the restart period for periodic

## See Also

`SNES,` SNESQN`,` SNESQNSetScaleType()`,` SNESQNType`,` SNESQNSetType()`,` SNESQNSetRestartType()`,` SNESQNScaleType`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages